%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

Name:           mingw32-gtk2
Version:        2.16.6
Release:        1%{?dist}
Summary:        MinGW Windows Gtk2 library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gtk.org
Source0:        http://download.gnome.org/sources/gtk+/2.16/gtk+-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# If you want to rebuild this, do:
# wine %{_mingw32_bindir}/gdk-pixbuf-query-loaders.exe > gdk-pixbuf.loaders
Source1:        gdk-pixbuf.loaders

# Fix use of extended buttons in gtkstatusicon.
Patch1000:      mingw32-gtk2-2.15.0-xbuttons.patch

# Enable building a static library of GTK
Patch1001:      mingw32-gtk2-enable_static_build.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 49
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw32-atk >= 1.13.0
BuildRequires:  mingw32-cairo >= 1.8.0
BuildRequires:  mingw32-dlfcn
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glib2 >= 2.17.7
BuildRequires:  mingw32-iconv
BuildRequires:  mingw32-jasper
BuildRequires:  mingw32-libjpeg
BuildRequires:  mingw32-libpng >= 1.2.2
BuildRequires:  mingw32-pango >= 1.20.0
BuildRequires:  mingw32-pixman
BuildRequires:  mingw32-zlib

BuildRequires:  pkgconfig

# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarsjal
BuildRequires:  glib2-devel
# Native one for gtk-update-icon-cache
BuildRequires:  gtk2
# Native one for gdk-pixbuf-csource
BuildRequires:  gtk2-devel

# These are required for the static library patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

Requires:       pkgconfig


%description
MinGW Windows Gtk2 library.


%package static
Summary:        Static version of the MinGW Windows Gtk2 library
Requires:       %{name} = %{version}-%{release}

%description static
Static version of the MinGW Windows Gtk2 library.


%prep
%setup -q -n gtk+-%{version}

%patch1000 -p1
%patch1001 -p0

# Regenerate the configure script
aclocal
autoreconf
libtoolize


%build
# Need to run the correct version of glib-mkenums.
PATH=%{_mingw32_bindir}:$PATH

%{_mingw32_configure} --disable-cups --enable-static --disable-gdiplus --without-libtiff
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%{_mingw32_libdir}/charset.alias

# Remove manpages which duplicate those in Fedora native.
rm -rf $RPM_BUILD_ROOT%{_mingw32_mandir}

# Remove documentation too.
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc

# The .def files are only used while compiling the libraries themselves
# (they contain a list of functions which need to be exported by the linker)
# so they serve no purpose for other libraries and applications
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gdk_pixbuf-2.0.def
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gdk-win32-2.0.def
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gtk-win32-2.0.def
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gailutil.def

# Install gdk-pixbuf.loaders.
mkdir -p $RPM_BUILD_ROOT%{_mingw32_sysconfdir}/gtk-2.0/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mingw32_sysconfdir}/gtk-2.0/

%find_lang %{name} --all-name


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_mingw32_datadir}/themes/*
%{_mingw32_bindir}/gdk-pixbuf-csource.exe
%{_mingw32_bindir}/gdk-pixbuf-query-loaders.exe
%{_mingw32_bindir}/gtk-builder-convert
%{_mingw32_bindir}/gtk-demo.exe
%{_mingw32_bindir}/gtk-query-immodules-2.0.exe
%{_mingw32_bindir}/gtk-update-icon-cache.exe
%{_mingw32_bindir}/libgailutil-18.dll
%{_mingw32_bindir}/libgdk-win32-2.0-0.dll
%{_mingw32_bindir}/libgdk_pixbuf-2.0-0.dll
%{_mingw32_bindir}/libgtk-win32-2.0-0.dll
%dir %{_mingw32_libdir}/gtk-2.0
%dir %{_mingw32_libdir}/gtk-2.0/2.10.0
%dir %{_mingw32_libdir}/gtk-2.0/2.10.0/engines
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.la
%dir %{_mingw32_libdir}/gtk-2.0/2.10.0/immodules
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.la
%dir %{_mingw32_libdir}/gtk-2.0/2.10.0/loaders
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ani.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ani.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ani.la
%if 0
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-bmp.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-bmp.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-bmp.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-emf.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-emf.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-emf.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-gif.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-gif.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-gif.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-ico.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-ico.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-ico.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-jpeg.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-jpeg.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-jpeg.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-tiff.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-tiff.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-tiff.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-wmf.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-wmf.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gdip-wmf.la
%else
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-bmp.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-bmp.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-bmp.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.la
%endif
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-icns.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-icns.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-icns.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jasper.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jasper.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jasper.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pcx.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pcx.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pcx.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-png.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-png.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-png.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pnm.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pnm.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pnm.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ras.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ras.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ras.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-tga.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-tga.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-tga.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-wbmp.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-wbmp.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-wbmp.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xbm.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xbm.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xbm.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.dll
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.dll.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.la
%{_mingw32_libdir}/gtk-2.0/include/
%dir %{_mingw32_libdir}/gtk-2.0/modules
%{_mingw32_libdir}/gtk-2.0/modules/libgail.dll
%{_mingw32_libdir}/gtk-2.0/modules/libgail.dll.a
%{_mingw32_libdir}/gtk-2.0/modules/libgail.la
%{_mingw32_libdir}/libgailutil.dll.a
%{_mingw32_libdir}/libgailutil.la
%{_mingw32_libdir}/libgdk-win32-2.0.dll.a
%{_mingw32_libdir}/libgdk-win32-2.0.la
%{_mingw32_libdir}/libgdk_pixbuf-2.0.dll.a
%{_mingw32_libdir}/libgdk_pixbuf-2.0.la
%{_mingw32_libdir}/libgtk-win32-2.0.dll.a
%{_mingw32_libdir}/libgtk-win32-2.0.la
%{_mingw32_libdir}/pkgconfig/gail.pc
%{_mingw32_libdir}/pkgconfig/gdk-2.0.pc
%{_mingw32_libdir}/pkgconfig/gdk-win32-2.0.pc
%{_mingw32_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{_mingw32_libdir}/pkgconfig/gtk+-2.0.pc
%{_mingw32_libdir}/pkgconfig/gtk+-win32-2.0.pc
%{_mingw32_includedir}/gtk-2.0/
%{_mingw32_includedir}/gail-1.0/
%{_mingw32_sysconfdir}/gtk-2.0/
%{_mingw32_datadir}/aclocal/gtk-2.0.m4
%{_mingw32_datadir}/gtk-2.0/

%files static
%defattr(-,root,root,-)
%{_mingw32_libdir}/libgailutil.a
%{_mingw32_libdir}/libgdk-win32-2.0.a
%{_mingw32_libdir}/libgdk_pixbuf-2.0.a
%{_mingw32_libdir}/libgtk-win32-2.0.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ani.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-bmp.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-bmp.la
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-icns.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jasper.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pcx.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-png.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pnm.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ras.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-tga.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-wbmp.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xbm.a
%{_mingw32_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.a
%{_mingw32_libdir}/gtk-2.0/modules/libgail.a

%changelog
* Sat Aug 29 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.16.6-1
- Update to 2.16.6

* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.16.5-1
- Update to 2.16.5
- Use %%global instead of %%define
- Drop upstreamed patch

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.16.1-2
- don't open double browser windows from about dialogs
  (patch is from the native gtk2 package)

* Sat Apr 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.16.1-1
- Update to 2.16.1

* Fri Mar 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.5-2
- Force build against latest mingw32-filesystem.

* Sun Mar 8 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.15.5-1
- Update to 2.15.5
- Disable gdiplus support for now because of GNOME BZ#552678
- Use the ./configure flag --without-libtiff until mingw32-libtiff is packaged
- Fixed the %%defattr line
- Dropped the .def files as they aren't used anymore after compilation
- Added -static subpackage

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.0-3
- Remove documentation.
- Add license file.
- Added extra BRs suggested by auto-buildrequires.

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.0-2
- Requires pkgconfig.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.0-1
- Rebase to Fedora native version 2.15.0.
- Disable static libraries.
- Use _smp_mflags.
- Use find_lang macro.

* Mon Oct 27 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.4-3
- Remove preun script, no longer used.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.4-1
- New upstream version 2.14.4.
- Require cairo >= 1.8.0 because of important fixes.
- Remove a couple of patches which are now upstream.

* Fri Oct 10 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.2-3
- Remove the requirement for Wine at build or install time.
- Conflicts with (native) cups-devel.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.2-2
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 2.14.2-1
- Update to 2.14.2 release

* Sun Sep 21 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-5
- Remove manpages duplicating those in Fedora native packages.

* Thu Sep 11 2008 Daniel P. Berrange <berrange@redhat.com> - 2.14.0-4
- Added dep on pkgconfig, gettext and glib2 (native)

* Thu Sep 11 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-3
- post/preun scripts to update the gdk-pixbuf.loaders list.

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-2
- Jasper DLLs now fixed.
- Fix source URL.
- Run the correct glib-mkenums.

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 2.14.0-1
- Initial RPM release
